const slackService = require('../../shared/slack');

async function sendPriceDropNotification(productUrl, previousPrice, currentPrice) {
    const message = `Price drop alert for product: ${productUrl}\nPrevious price: ${previousPrice}\nCurrent price: ${currentPrice}`;

    try {
        await slackService.sendSlackMessage(message);
        console.log('Price drop notification sent successfully to Slack');
    } catch (error) {
        console.error('Error sending price drop notification to Slack:', error);
        throw error;
    }
}

module.exports = {
    sendPriceDropNotification,
};